Package org.eclipse.net4j.util.om.monitor

## Enum SubMonitor.ProbingMode

- java.lang.Object
- - java.lang.Enum<SubMonitor.ProbingMode>
  - - org.eclipse.net4j.util.om.monitor.SubMonitor.ProbingMode

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<SubMonitor.ProbingMode>`
  Enclosing class:
    SubMonitor

      public static enum SubMonitor.ProbingMode
      extends java.lang.Enum<SubMonitor.ProbingMode>

  Enumerates the possible probing mode values `OFF`, `STANDARD` and `FULL`.
  Since:
    3.4
  Author:
    Eike Stepper

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `FULL` |
    `OFF` |
    `STANDARD` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static SubMonitor.ProbingMode` | `DEFAULT` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SubMonitor.ProbingMode` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static SubMonitor.ProbingMode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OFF

          public static final SubMonitor.ProbingMode OFF

    - #### STANDARD

          public static final SubMonitor.ProbingMode STANDARD

    - #### FULL

          public static final SubMonitor.ProbingMode FULL

  - ### Field Detail

    - #### DEFAULT

          public static final SubMonitor.ProbingMode DEFAULT

  - ### Method Detail

    - #### values

          public static SubMonitor.ProbingMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SubMonitor.ProbingMode c : SubMonitor.ProbingMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SubMonitor.ProbingMode valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null